package jp.gihyo.wicket;

import jp.gihyo.wicket.page.Login;
import jp.gihyo.wicket.page.ajax.AjaxTimeline;
import jp.gihyo.wicket.page.paging.PagingTimeline;
import jp.gihyo.wicket.page.simple.MyTimeline;
import org.apache.wicket.Page;
import org.apache.wicket.Request;
import org.apache.wicket.Response;
import org.apache.wicket.Session;
import org.apache.wicket.protocol.http.WebApplication;

/**
 * Application object for your web application. If you want to run this application without deploying, run the Start class.
 * 
 * @see jp.javelindev.wicket.Start#main(String[])
 */
public class WicketApplication extends WebApplication {

    /**
     * Constructor
     */
    public WicketApplication() {
    }

    /**
     * @see org.apache.wicket.Application#getHomePage()
     */
    public Class<? extends Page> getHomePage() {
        return Login.class;
    }

    @Override
    protected void init() {
        super.init();
        mountBookmarkablePage("/login", Login.class);
        mountBookmarkablePage("/friends", MyTimeline.class);
        mountBookmarkablePage("/paging", PagingTimeline.class);
        mountBookmarkablePage("/ajax", AjaxTimeline.class);
    }

    @Override
    public Session newSession(Request request, Response response) {
        return new AppSession(request);
    }
}
